Java.com

다운로드 도움말

인쇄용 버전

Google Chrome 브라우저에서 Java를 사용하는 방법은 무엇입니까?


적용 대상:
  • 브라우저 Chrome
  • Java 버전: 7.0, 8.0

Chrome의 NPAPI 지원

웹 브라우저용 Java 플러그인은 오랫동안 교차 플랫폼 플러그인 구조 NPAPI에 의존해 왔으며, 현재 모든 주요 웹 브라우저에서 지원됩니다. 2013년 9월 Google은 "2014년 말까지" Chrome에서 NPAPI 지원을 제거한다고 발표했습니다. 이에 따라 Silverlight, Java, Facebook Video 및 기타 유사한 NPAPI 기반 플러그인에 대한 지원이 중단됩니다. 최근에 Google은 이 계획을 수정하여 2015년 말까지 NPAPI를 완전히 제거할 것이라고 밝혔습니다. 이 날짜를 더 연장할지 여부는 확실치 않으므로 Java 사용자는 가능한 빨리 Chrome의 대안을 마련해야 합니다. 대신, 장기 옵션으로 Firefox, Internet Explorer, Safari를 사용할 것을 권장합니다. 2015년 4월 현재, Google은 Chrome 버전 42부터 Java와 같은 NPAPI 기반 플러그인이 실행되도록 구성하기 위한 추가 단계를 추가했습니다. 아래의 Chrome 버전 42 및 이후 버전에서 NPAPI 사용 섹션을 참조하십시오.


Windows의 64비트 Chrome

Chrome 버전 37부터 Chrome이 Windows에서 64비트 형식으로 제공됩니다. 64비트 Chrome을 실행하는 경우 64비트 Java도 설치되어 있어야 합니다.
» Windows 및 64비트 Java


Mac OS X의 Java 및 Chrome

64비트 브라우저는 Mac OS X에서 64비트 Oracle Java를 실행해야 합니다. Mac용 Chrome 64비트는 Chrome 버전 39와 함께 사용할 수 있게 되었습니다. 자세한 내용은 64-bit Chrome(blog.chromium.org)을 참조하십시오.


Chrome 및 Linux

Chrome 버전 35부터 Linux 플랫폼에 대한 NPAPI(Netscape Plug-in API) 지원이 제거되었습니다. 자세한 내용은 Chrome and NPAPI(blog.chromium.org)를 참조하십시오.

Linux에서 Java에 권장되는 브라우저는 Firefox입니다.


Chrome 버전 42 및 이후 버전에서 NPAPI 사용

Chrome 버전 42에서는 NPAPI 플러그인 사용을 계속하려면 추가 구성 단계가 필요합니다.

  1. URL 막대에 다음을 입력합니다.
    chrome://flags/#enable-npapi
  2. NPAPI 사용 구성 옵션에 대해 사용 링크를 누릅니다.
  3. 이제 구성 페이지 하단에 표시되는 재실행 단추를 누릅니다.

Chrome 사용자를 지원하기 위한 다른 방법을 찾는 개발자 및 시스템 관리자는 이 블로그를 참조하십시오. 특히, "브라우저 외부에서 웹 시작 응용 프로그램 실행" 및 "추가 배치 옵션" 섹션을 읽어보십시오.


Java Plug-in에 권한 필요

Chrome에서 Java(TM)에 실행 권한 필요라는 메시지가 표시되는 경우 페이지에서 플러그인을 실행하려면 Chrome 옵션에 응답해야 합니다. 옵션은 Chrome 버전에 따라 다릅니다.

Chrome 플러그인 차단됨 아이콘(주소 표시줄에 나타남)

Chrome 주소 표시줄에서 차단된 플러그인 아이콘을 찾습니다. 아이콘을 누르면 이 페이지에서 플러그인이 차단되었습니다라는 메시지와 함께 플러그인 옵션이 표시됩니다.

  • [사이트 이름]에서 항상 플러그인 허용을 누르면 이 사이트의 모든 페이지에서 플러그인(Java 포함)의 실행이 허용됩니다.
  • 이번만 모든 플러그인 실행을 누르면 다른 페이지로 이동할 때까지만 페이지에서 플러그인 콘텐츠(Java 포함)의 실행이 허용됩니다.
  • 플러그인 차단 계속을 누르면 페이지에서 플러그인이 실행되지 않습니다.
Chrome 메시지 표시줄
  • 이번만 실행을 누르면 페이지의 Java 콘텐츠가 이 페이지를 떠나기 전까지만 실행됩니다.
  • 이 사이트에서 항상 실행 단추를 누르면 이 사이트의 모든 페이지에서 Java가 실행됩니다. 이 메시지는 이 사이트의 다른 페이지를 열 때 다시 표시되지 않습니다.

또한 플러그인 차단 관리 옵션을 통해 사이트를 기준으로 권한을 관리할 수 있습니다.

추가 플러그인 필요

Chrome에서 이 페이지의 일부 요소를 표시하는 데는 Java(TM)가 필요합니다.라는 메시지 표시줄이 나타나면, Chrome 메시지 표시줄의 플러그인 설치을 누르거나 java.com에서 다운로드하십시오.


오래된 플러그인

Chrome에서 Java(TM)가 최신 상태가 아니기 때문에 차단되었습니다.라는 메시지 표시줄이 나타나면, Chrome 메시지 표시줄의 플러그인 업데이트를 눌러 최신 Java를 받으십시오.


관련 정보



언어 선택 | Java 정보 | 지원 | 개발자
개인 정보 보호 정책 | 사용 약관 | 등록 상표 | 보증의 부인

Oracle